Name:           python-zfit
Version:        0.23.0
Release:        %autorelease
Summary:        scalable pythonic model fitting for high energy physics

# Check if the automatically generated License and its spelling is correct for Fedora
# https://docs.fedoraproject.org/en-US/packaging-guidelines/LicensingGuidelines/
License:        BSD-3-Clause
URL:            https://github.com/zfit/zfit
Source:         %{pypi_source zfit}

BuildArch:      noarch
BuildRequires:  python3-devel


# Fill in the actual package description to submit package to Fedora
%global _description %{expand:
This is package 'zfit' generated automatically by pyp2spec.}

%description %_description

%package -n     python3-zfit
Summary:        %{summary}

%description -n python3-zfit %_description

# For official Fedora packages, review which extras should be actually packaged
# See: https://docs.fedoraproject.org/en-US/packaging-guidelines/Python/#Extras
%pyproject_extras_subpkg -n python3-zfit all,all-darwin,all-linux,all-silicon,all-windows,alldev,alldev-darwin,alldev-linux,alldev-silicon,alldev-windows,dev,dev-darwin,dev-linux,dev-silicon,dev-windows,hs3,ipyopt,nlopt,tests,tests-darwin,tests-linux,tests-silicon,tests-windows,uproot


%prep
%autosetup -p1 -n zfit-%{version}


%generate_buildrequires
# Keep only those extras which you actually want to package or use during tests
%pyproject_buildrequires -x all,all-darwin,all-linux,all-silicon,all-windows,alldev,alldev-darwin,alldev-linux,alldev-silicon,alldev-windows,dev,dev-darwin,dev-linux,dev-silicon,dev-windows,hs3,ipyopt,nlopt,tests,tests-darwin,tests-linux,tests-silicon,tests-windows,uproot


%build
%pyproject_wheel


%install
%pyproject_install
# For official Fedora packages, including files with '*' +auto is not allowed
# Replace it with a list of relevant Python modules/globs and list extra files in %%files
%pyproject_save_files '*' +auto


%check
%pyproject_check_import -t


%files -n python3-zfit -f %{pyproject_files}


%changelog
%autochangelog